%define realname stg
Name: stargazer
Version: 2.405.9.8
Release: alt2.5
License: GPLv2
Group: System/Servers
Source0: http://www.stg.dp.ua/download/server/2.405.9.8/%realname-%version.src.tgz
Source1: %name
Source3: %name-fw
Source4: %name-examples.tar.bz2
Source5: sgauth
Patch0: %name-alt_local.diff
Patch1: %name-alt_auth.diff
Patch2: %name-alt_install.diff
Patch3: %name-2.405.9.8-alt_default.diff
Patch4: %name-netfilter.diff
Patch5: %name-cstring.diff
Patch6: %name-inetaccess.diff
Patch7: %name-utime.diff
Patch8: %name-lexpat.diff
Patch9: %name-clean_db.diff

Summary: Stargazer billing system
Summary(ru_RU.CP1251): - Stargazer
Url: http://stargazer.dp.ua
Packager: Dmitriy Kulik <lnkvisitor@altlinux.ru>
Requires: iptables lib%name = %version-%release

# Automatically added by buildreq on Thu Oct 30 2008 (-bi)
BuildRequires: gcc-c++ libMySQL-devel libexpat-devel

BuildRequires: gcc-c++ libMySQL-devel libexpat-devel iconv

%description
Stargazer billing system

%description -l ru_RU.CP1251
- Stargazer

%package -n %name-doc
Summary: Stargazer billing system manual and live example
Group: Books/Other
BuildArch: noarch

%description -n %name-doc
Stargazer billing system manual and live example

%description -n %name-doc -l ru_RU.CP1251

%package -n lib%name
Summary: The library files needed for stargazer
Group: Networking/Other

%description -n lib%name
The lib%name package contains the necessary library for %name

%package -n %name-sgauth
Summary: Stargazer Internet authorization system
Group: System/Libraries
Requires: lib%name = %version-%release

%description -n %name-sgauth
This package allows to make authorization in the Internet-networks with Stargazer billing system.

%package -n %name-sgconf
Summary: Stargazer billing system console configuration tool
Group: System/Configuration/Networking
Requires: lib%name = %version-%release

%description -n %name-sgconf
Stargazer billing system console configuration tool

%prep
%add_findprov_lib_path %_libdir/%realname
%setup -q -n %realname-%version
tar -xjf %SOURCE4
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

find -name 'Makefile*' -print0 | xargs -r0 -- sed -i 's@-rpath.*@-rpath,%_libdir/%realname -Wl,-rpath-link,'`pwd`'/lib@'

%build
# x86_64
%__subst 's|usr/lib|usr/%_lib|g' projects/stargazer/build projects/sgauth/build
%__subst 's|lib/stg|%_lib/stg|g' projects/rscriptd/Makefile \
    projects/stargazer/Makefile projects/stargazer/plugins/Makefile.in \
    projects/stargazer/inst/linux/etc/stargazer/stargazer.conf \
    projects/sgconf/Makefile projects/sgauth/Makefile \
    stglibs/Makefile.in

# optflags
%__subst 's|CFLAGS="$CFLAGS -O2"|CFLAGS="$CFLAGS %optflags"|g' projects/stargazer/build
%__subst 's|CFLAGS="-O2"|CFLAGS="%optflags"|g' projects/sgauth/build
%__subst 's|CFLAGS="-O2"|CFLAGS="%optflags"|g' projects/sgconf/build

cd projects/sgauth
./build
cd ../sgconf
./build
cd ../stargazer
%__subst 's|PREFIX=""|PREFIX="%buildroot"|g' ./build
%__subst 's|install -m|install -Dp -m|g' ./Makefile
%__subst 's|-m $(DATA_MODE)||g' ./Makefile
%__subst 's|-o $(OWNER) ||g' ./Makefile ../../stglibs/Makefile.in plugins/Makefile.in
%__subst 's|/var/stargazer|%_localstatedir/%name|g' ./Makefile ./inst/linux/etc/stargazer/stargazer.conf ./scripts/monitor ./scripts/clean_db
%__subst 's|/usr/sbin/$(PROG)|/usr/sbin/stargazer.bin|g' ./Makefile
./build

%install

cd projects/sgauth
make PREFIX=%buildroot install
cd ../sgconf
make PREFIX=%buildroot install
cd ../stargazer
# KOI8-R -> UTF-8
iconv -f KOI8-R -t UTF-8 ./inst/linux/etc/stargazer/OnChange -o ./inst/linux/etc/stargazer/OnChange.new
cat ./inst/linux/etc/stargazer/OnChange.new > ./inst/linux/etc/stargazer/OnChange
iconv -f KOI8-R -t UTF-8 ./inst/linux/etc/stargazer/OnConnect -o ./inst/linux/etc/stargazer/OnConnect.new
cat ./inst/linux/etc/stargazer/OnConnect.new > ./inst/linux/etc/stargazer/OnConnect
iconv -f KOI8-R -t UTF-8 ./inst/linux/etc/stargazer/OnDisconnect -o ./inst/linux/etc/stargazer/OnDisconnect.new
cat ./inst/linux/etc/stargazer/OnDisconnect.new > ./inst/linux/etc/stargazer/OnDisconnect
iconv -f KOI8-R -t UTF-8 ./inst/linux/etc/stargazer/OnUserAdd -o ./inst/linux/etc/stargazer/OnUserAdd.new
cat ./inst/linux/etc/stargazer/OnUserAdd.new > ./inst/linux/etc/stargazer/OnUserAdd
iconv -f KOI8-R -t UTF-8 ./inst/linux/etc/stargazer/OnUserDel -o ./inst/linux/etc/stargazer/OnUserDel.new
cat ./inst/linux/etc/stargazer/OnUserDel.new > ./inst/linux/etc/stargazer/OnUserDel
iconv -f KOI8-R -t UTF-8 ./inst/linux/etc/stargazer/rules -o ./inst/linux/etc/stargazer/rules.new
cat ./inst/linux/etc/stargazer/rules.new > ./inst/linux/etc/stargazer/rules
iconv -f KOI8-R -t UTF-8 ./inst/linux/etc/stargazer/stargazer.conf -o ./inst/linux/etc/stargazer/stargazer.conf.new
cat ./inst/linux/etc/stargazer/stargazer.conf.new > ./inst/linux/etc/stargazer/stargazer.conf
rm -rf ./inst/linux/etc/stargazer/*.new

make PREFIX=%buildroot install
%__install -Dp -m700 %SOURCE1 %buildroot%_initdir/%name
%__install -Dp -m700 %SOURCE5 %buildroot%_initdir/sgauth
%__install -Dp -m700 %SOURCE3 %buildroot%_sysconfdir/%name/fw
%__mkdir -p %buildroot%_localstatedir/%name/monitor
chmod -x %buildroot%_sysconfdir/%name/%name.conf %buildroot%_sysconfdir/%name/rules
%__tar -zcf scripts.tgz scripts
cd ../..
%__mkdir -p %buildroot%_libdir/%realname && cp lib/*.so %buildroot%_libdir/%realname/

cd projects/stargazer

%post
##%post_service %name

%preun -n %name-sgauth
%_initdir/sgauth condstop

%preun
%_initdir/%name condstop

%files -n %name-doc
%doc stargazer-examples stargazer*.pdf projects/stargazer/BUGS projects/stargazer/TODO projects/stargazer/inst/var/*.sql projects/stargazer/scripts.tgz

%files -n lib%name
%_libdir/%realname

%files -n %name-sgauth
%doc projects/sgauth/readme
%_bindir/sgauth
%dir %_initdir/sgauth
%config(noreplace,missingok) %_sysconfdir/sgauth.conf


%files -n %name-sgconf
%_bindir/sgconf

%files
%_sbindir/stargazer.bin
%_sysconfdir/%name
%_initdir/%name
%dir %_localstatedir/%name
%dir %_localstatedir/%name/tariffs
%dir %_localstatedir/%name/admins
%dir %_localstatedir/%name/users
%dir %_localstatedir/%name/users/test
%dir %_localstatedir/%name/monitor
%config(noreplace,missingok) %_sysconfdir/%name/*
%config(noreplace,missingok) %_localstatedir/%name/tariffs/*
%config(noreplace,missingok) %_localstatedir/%name/admins/*
%config(noreplace,missingok) %_localstatedir/%name/users/test/*
%_localstatedir/%name/monitor

%changelog
* Wed Dec 10 2008 Dmitriy Kulik  <lnkvisitor@altlinux.org> 2.405.9.8-alt2.5
- fixed stargazer deamon

* Sat Nov 15 2008 Dmitriy Kulik  <lnkvisitor@altlinux.org> 2.405.9.8-alt2.4
- fixed cleandb script

* Wed Nov 12 2008 Dmitriy Kulik  <lnkvisitor@altlinux.org> 2.405.9.8-alt2.3
- relocation data files
- added cleandb script

* Mon Nov 10 2008 Dmitriy Kulik  <lnkvisitor@altlinux.org> 2.405.9.8-alt2.2
- fixed stargazer deamon
- added sgauth deamon

* Fri Nov 07 2008 Dmitriy Kulik  <lnkvisitor@altlinux.org> 2.405.9.8-alt2.1
- add configuration file for sgauth

* Tue Oct 28 2008 Dmitriy Kulik  <lnkvisitor@altlinux.org> 2.405.9.8-alt2
- pick up from Orphaned
- fix bug inetaccess module
- fix bug utime 
- fix bug include cstring
- fix bug including netfilter
- separate to subpackages libstargazer & sgautch & sgconf

* Tue May 20 2008 Motsyo Gennadi <drool@altlinux.ru> 2.405.9.8-alt1
- new 2.405.9.8 release
- fix unpackaged directory (new sisyphus_check)
- fix #15505

* Tue Mar 11 2008 Motsyo Gennadi <drool@altlinux.ru> 2.404.9.7-alt1
- test build for Sisyphus

* Mon Feb 11 2008 Motsyo Gennadi <drool@altlinux.ru> 2.404.9.7-alt0.M40.1
- new 2.404.9.7 release

* Thu Dec 27 2007 Motsyo Gennadi <drool@altlinux.ru> 2.4-alt0.2007.12.25.M40.1
- fix bug inetaccess module

* Wed Dec 26 2007 Motsyo Gennadi <drool@altlinux.ru> 2.4-alt0.2007.12.25.M40.0
- new development snapshot

* Mon Dec 24 2007 Motsyo Gennadi <drool@altlinux.ru> 2.4-alt0.2007.12.21.M40.2
- fix unmets (thanks to Legion for help)

* Sun Dec 23 2007 Motsyo Gennadi <drool@altlinux.ru> 2.4-alt0.2007.12.21.M40.1
- new development snapshot (thanks to Madf for hints)
	* x86_64 build now fixed

* Sun Dec 16 2007 Motsyo Gennadi <drool@altlinux.ru> 2.4-alt0.2007.01.06.M40.2
- fix TEXTREL (add -fPIC to optflags)

* Sat Aug 18 2007 Motsyo Gennadi <drool@altlinux.ru> 2.4-alt0.M40.1
- new snapshot

* Mon Nov 20 2006 Motsyo Gennadi <drool@altlinux.ru> 2.402.9.7-alt0.M24.2
- update live example by alliance.dmitriy at rambler dot ru (support squid+cbq)
- add branded manual in PDF format
- separate example and manual to %name-doc package

* Sun Nov 12 2006 Motsyo Gennadi <drool@altlinux.ru> 2.402.9.7-alt0.M24.1
- new version
    -> upsream fix error with charge to the user of the prepaid traffic
- fix URL
- disable autostart after install/upgrade

* Fri Nov 03 2006 Motsyo Gennadi <drool@altlinux.ru> 2.401.9.7-alt0.M24.1
- new version
- fix license
- add firewall script by default and fix daemon for this
- add live example by alliance.dmitriy at rambler dot ru

* Wed Oct 11 2006 Motsyo Gennadi <drool@altlinux.ru> 2.4.8.6-alt0.M24.1
- new version
- fix URL
- add ALT Linux 2.4 Master compatible daemon

* Tue Oct 10 2006 Motsyo Gennadi <drool@altlinux.ru> 2.016.7.6-alt0.M24.1
- initial build for ALT Linux 2.4 Master
